org.apache.pdfbox.pdmodel.interactive.annotation

## Class PDAppearanceEntry

- java.lang.Object
- - org.apache.pdfbox.pdmodel.interactive.annotation.PDAppearanceEntry

All Implemented Interfaces:
  COSObjectable

    public class PDAppearanceEntry
    extends Object
    implements COSObjectable

An entry in an appearance dictionary. May contain either a single appearance stream or an appearance subdictionary.

Author:
  John Hewson

### Constructor Summary

Constructors
Constructor and Description
`PDAppearanceEntry(COSDictionary entry)` Constructor for reading.

### Method Summary

All Methods Instance Methods Concrete Methods
`PDAppearanceStream` `getAppearanceStream()` Returns the entry as an appearance stream.
`COSDictionary` `getCOSObject()` Convert this standard java object to a COS object.
`Map<COSName,PDAppearanceStream>` `getSubDictionary()` Returns the entry as an appearance subdictionary.
`boolean` `isStream()` Returns true if this entry is an appearance stream.
`boolean` `isSubDictionary()` Returns true if this entry is an appearance subdictionary.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PDAppearanceEntry

    public PDAppearanceEntry(COSDictionary entry)

Constructor for reading.

Parameters:
  `entry` - the dictionary of the appearance entry

### Method Detail

#### getCOSObject

    public COSDictionary getCOSObject()

Description copied from interface: `COSObjectable`
Convert this standard java object to a COS object.

Specified by:
  `getCOSObject` in interface `COSObjectable`
Returns:
  The cos object that matches this Java object.

#### isSubDictionary

    public boolean isSubDictionary()

Returns true if this entry is an appearance subdictionary.

Returns:
  true if this entry is an appearance subdictionary

#### isStream

    public boolean isStream()

Returns true if this entry is an appearance stream.

Returns:
  true if this entry is an appearance stream

#### getAppearanceStream

    public PDAppearanceStream getAppearanceStream()

Returns the entry as an appearance stream.

Returns:
  the entry as an appearance stream
Throws:
  `IllegalStateException` - if this entry is not an appearance stream

#### getSubDictionary

    public Map<COSName,PDAppearanceStream> getSubDictionary()

Returns the entry as an appearance subdictionary.

Returns:
  the entry as an appearance subdictionary
Throws:
  `IllegalStateException` - if this entry is not an appearance subdictionary